Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.csw.control
Class DetailedMetadataListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.csw.control.SimpleSearchListener
              org.deegree.portal.standard.csw.control.OverviewMetadataListener
                  org.deegree.portal.standard.csw.control.DetailedMetadataListener

All Implemented Interfaces:
  EventListener, WebListener

    public class DetailedMetadataListener

extends OverviewMetadataListener

A `${type_name}` class.
TODO class description

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.portal.standard.csw.control.OverviewMetadataListener
`SESSION_METADATA`

Fields inherited from class org.deegree.portal.standard.csw.control.SimpleSearchListener
`config, HTML_FRAGMENT, nsContext, RESULT_SEARCH, RPC_CATALOG, RPC_FORMAT, SESSION_AVAILABLESERVICECATALOGS, SESSION_DATARECORDS, SESSION_REQUESTFORRESULTS, SESSION_RESULTFORHITS`

Constructor Summary
`DetailedMetadataListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)`

Methods inherited from class org.deegree.portal.standard.csw.control.OverviewMetadataListener
`extractMetadata, extractServiceCatalogs, handleResult, validateRequest`

Methods inherited from class org.deegree.portal.standard.csw.control.SimpleSearchListener
`createDataSessionRecords, createRequest, createRpcStructForServiceSearch, doServiceSearch, extractRPCCatalogs, extractRPCMember, extractRPCParameters, extractRPCStruct, extractValue, getMetadataType, getXPathToId, getXPathToTitle, handleResult, isKnownMetadataType, performRequest`

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DetailedMetadataListener

    public DetailedMetadataListener()

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Overrides:
    `actionPerformed` in class `OverviewMetadataListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org